<?php

namespace app\admin\model\order;

use think\Model;


class OrderGoods extends Model
{

    

    

    // 表名
    protected $name = 'order_goods';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'integer';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'goods_type_text'
    ];
    

    
    public function getGoodsTypeList()
    {
        return ['0' => __('Goods_type 0'), '1' => __('Goods_type 1')];
    }


    public function getGoodsTypeTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['goods_type']) ? $data['goods_type'] : '');
        $list = $this->getGoodsTypeList();
        return isset($list[$value]) ? $list[$value] : '';
    }




}
